#!/bin/sh
# Instala interfaz PHP para sigue

if (test "$NOMBRE" = "") then {
	if (test "$SUDO_USER" != "") then {
		NOMBRE=$SUDO_USER;
	} else {
		NOMBRE=$USER;
	} fi;
} fi;

INSDATA=/usr/local/share/sigue
REPDATA=/usr/local/share/repasa

dir=$1;
owner=$2;
dircol=$3;
if (test "$dir" = "") then {
	echo "Primer parámetro deber ser directorio por crear y poblar";
	exit 1;
} fi;
if (test "$owner" = "") then {
	echo "Segundo parámetro debe ser usuario y grupo bajo el cual corre el servidor web";
	exit 1;
} fi;

if (test ! -d "$dircol/reporte") then {
	echo "Tercer parámetro debe ser directorio con datos del colegio";
	exit 1;
} fi;
if (test -d "$dir") then {
	exit 0;
} fi;

cp -rf $INSDATA/web $dir
dircomp=`cd $dir; pwd`;
find $dir -name "CVS" | xargs rm -rf
rm -rf $dir/regr
sed -e "s|\$GLOBALS\['DIRCOL'\]='.*';|\$GLOBALS['DIRCOL']='$dircol';|g" $INSDATA/web/auth/confcol.php.plantilla > $dir/auth/confcol.php
sed -e "s|/var/www/sigue|$dircomp|g" $INSDATA/web/.htaccess > $dir/.htaccess
chown -R $owner $dir
chmod -R o-xrw $dir
(cd $dir/auth; make)




